import service from '@/utils/axios';

/**
 * 验证报告生成 方案
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateScheme = (data) => {
  return service.request({
    method: 'POST',
    url: '/GenerateReport/Generate_scheme',
    data,
    baseURL: '/api2',
  });
};

/**
 * 验证报告生成 报告
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateReport = (data) => {
  return service.request({
    method: 'POST',
    url: '/GenerateReport/Generate_report',
    data,
    baseURL: '/api2',
  });
};

/**
 * 验证报告生成 获取报告
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateKey = (data) => {
  return service.request({
    method: 'POST',
    url: '/GenerateReport/Generate_key',
    data,
    baseURL: '/api2',
  });
};
